Channel Groups
The following endpoints are part of the Channels API and allow you to manage channel groups, specifically for the WhatsApp platform. Channel groups are used to group together channel IDs that belong to the same WhatsApp account. This documentation will provide details on how to interact with these endpoints.
List available channel groups
This endpoint retrieves a list of all available channel groups within a workspace. The response includes information such as the unique identifier of each channel group, the WhatsApp platform ID, the platform group ID, the platform group name, and the list of channel IDs associated with the channel group.
GET
/workspaces/{workspaceId}/channel-groups
Retrieve a list of all channel groups
Treść odpowiedzi
results
array of object
Pokaż atrybuty podrzędne
results.id
string
results.platformGroupId
string
results.platformGroupName
string
results.platformId
string
results.channelIds
array of string
results.createdAt
string
results.updatedAt
string
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/channel-groups' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Get channel group by ID
This endpoint gets a channel group by group ID and lists all the channels related to the group
GET
/workspaces/{workspaceId}/channel-groups/{channelGroupId}
Retrieve channel group by it's type
Treść odpowiedzi
id
string
platformGroupId
string
platformGroupName
string
platformId
string
channelIds
array of string
createdAt
string
updatedAt
string
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/channel-groups/{channelGroupId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'